package com.prolog.cs.biz.inbound.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class RcvCommonLine implements Serializable {

	private static final long serialVersionUID = -5711665843557860019L;

	@ApiModelProperty(value = "来源关联唯一id", required = true)
	private String refId;

	@ApiModelProperty(value = "仓库(id)", required = true)
	private String warehouseId;

	@ApiModelProperty(value = "货主id", required = true)
	private String mtlOwnerId;

	@ApiModelProperty(value = "包装含量")
	private BigDecimal conversionRate;

	@ApiModelProperty(value = "最小单位数量")
	private BigDecimal pieceQty;

	@ApiModelProperty(value = "批次生产日期")
	private Date batchProductionDate;

	@ApiModelProperty(value = "批次有效期")
	private Date batchExpiredDate;

	@ApiModelProperty(value = "收货结论（0合格/1不合格/2待处理/3拒绝）")
	private String stockStatus;

	@ApiModelProperty(value = "收货类型编码")
	private String rcvType;

	/**
	 * 数据来源(0:收货1:质检2:复检)
	 */
//	private String dataSource;
	@ApiModelProperty(value = "入库来源类型(0收货1质检2复检3asn)")
	private Integer refType;
	/**
	 * 冷藏字段("常温""阴凉" "冷藏" "冷冻"))
	 */
	@ApiModelProperty(value = "冷藏字段(\"常温\"\"阴凉\" \"冷藏\" \"冷冻\"))")
	private String storeTemperature;

	@ApiModelProperty(value = "商品整散分离标识(0整散合一/1整散分开)")
	private String itemIsPieceOrCase;

	@ApiModelProperty(value = "商品大类编码")
	private String categoryId;

	@ApiModelProperty(value = "库别选择项")
	private List<Map<String, String>> areaCategoryList;

	@ApiModelProperty(value = "结论选择项")
	private List<Map<String, String>> conclusionList;
	
	@ApiModelProperty(value = "商品编码")
	private String itemId;
	
	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public List<Map<String, String>> getAreaCategoryList() {
		return areaCategoryList;
	}

	public void setAreaCategoryList(List<Map<String, String>> areaCategoryList) {
		this.areaCategoryList = areaCategoryList;
	}

	public List<Map<String, String>> getConclusionList() {
		return conclusionList;
	}

	public void setConclusionList(List<Map<String, String>> conclusionList) {
		this.conclusionList = conclusionList;
	}

	public String getRefId() {
		return refId;
	}

	public void setRefId(String refId) {
		this.refId = refId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public BigDecimal getConversionRate() {
		return conversionRate;
	}

	public void setConversionRate(BigDecimal conversionRate) {
		this.conversionRate = conversionRate;
	}

	public BigDecimal getPieceQty() {
		return pieceQty;
	}

	public void setPieceQty(BigDecimal pieceQty) {
		this.pieceQty = pieceQty;
	}

	public Date getBatchProductionDate() {
		return batchProductionDate;
	}

	public void setBatchProductionDate(Date batchProductionDate) {
		this.batchProductionDate = batchProductionDate;
	}

	public Date getBatchExpiredDate() {
		return batchExpiredDate;
	}

	public void setBatchExpiredDate(Date batchExpiredDate) {
		this.batchExpiredDate = batchExpiredDate;
	}

	public String getStockStatus() {
		return stockStatus;
	}

	public void setStockStatus(String stockStatus) {
		this.stockStatus = stockStatus;
	}

	public String getRcvType() {
		return rcvType;
	}

	public void setRcvType(String rcvType) {
		this.rcvType = rcvType;
	}

	public Integer getRefType() {
		return refType;
	}

	public void setRefType(Integer refType) {
		this.refType = refType;
	}

	public String getStoreTemperature() {
		return storeTemperature;
	}

	public void setStoreTemperature(String storeTemperature) {
		this.storeTemperature = storeTemperature;
	}

	public String getItemIsPieceOrCase() {
		return itemIsPieceOrCase;
	}

	public void setItemIsPieceOrCase(String itemIsPieceOrCase) {
		this.itemIsPieceOrCase = itemIsPieceOrCase;
	}

	public String getCategoryId() {
		return categoryId;
	}

	public void setCategoryId(String categoryId) {
		this.categoryId = categoryId;
	}

}
